#!/bin/bash
##################################################
# Script de instalao de templates customizados.#
# -----------------------------------------------#
# Criado por Fabricio Vaccari Constanski         #
# Atualizado em: 16/05/2007                      #
# fabriciovc@gmail.com                           #
##################################################

clear
_CHECKOK () {
	if [ $? -eq 0 ]; then
		sleep 1
		echo -n "["; echo -ne "\\033[1;32m   OK   \\033[0;39m"; echo "]"
	else
		sleep 1
		echo -n "["; echo -ne "\\033[1;31m FALHOU \\033[0;39m"; echo "]"
	fi
}

_QUESTION () {
echo -e "\\033[1;33mFornea o caminho do diretrio phpldapadmin-1.0.2: \\033[0;39m"
unset CAMINHO
echo -ne "\\033[1;33m#? \\033[0;39m"
read CAMINHO
_PATHCHECK
}

_PATHOK () {
if [ -d /var/www/html/phpldapadmin/templates ]; then
	unset CAMINHO
	CAMINHO=/var/www/html/phpldapadmin
	_COPYTEMPLATE
elif [ -d /var/www/html/phpldapadmin-1.0.2/templates ]; then
	unset CAMINHO
	CAMINHO=/var/www/html/phpldapadmin-1.0.2
	_COPYTEMPLATE
else
	_QUESTION
fi
}

_PATHCHECK () {
if [ -z $CAMINHO ]; then
	echo
	echo -e "\\033[1;31m Voce nao digitou nenhum diretorio !!! \\033[0;39m"
	echo
	_QUESTION
elif [ -d $CAMINHO/templates ]; then
	echo
	_COPYTEMPLATE
else
	echo
	echo -e "\\033[1;31m Este nao e o diretorio do phpldapadmin-1.0.2 !!! \\033[0;39m"
	echo
	_QUESTION
fi
}

_COPYTEMPLATE () {

echo -e "\\033[1;34m Iniciando copia dos templates em $CAMINHO !!! \\033[0;39m"
echo

if [ -d $CAMINHO/templates.orig ]; then
	if [ -d $CAMINHO/templates.bkp ]; then
		/bin/rm -rf $CAMINHO/templates.bkp
		echo -n "Realizando backup dos templates atuais ...................: "
		/bin/mv $CAMINHO/templates $CAMINHO/templates.bkp
		_CHECKOK
	else
		echo -n "Realizando backup dos templates atuais ...................: "
		/bin/mv $CAMINHO/templates $CAMINHO/templates.bkp
		_CHECKOK
	fi
else
	echo -n "Realizando backup dos templates atuais ...................: "
	/bin/mv $CAMINHO/templates $CAMINHO/templates.orig
	_CHECKOK
fi

echo -n "Criando diretorio para os armazenar os novos templates ...: "
/bin/mkdir $CAMINHO/templates
_CHECKOK

echo -n "Copiando os novos templates ..............................: "
PWD=`/bin/pwd`
/bin/cp -Rfp $PWD/* $CAMINHO/templates/
_CHECKOK

echo -n "Removendo arquivos temporarios ...........................: "
/bin/rm -f $CAMINHO/templates/README $CAMINHO/templates/install.sh
_CHECKOK

if [ -d $CAMINHO/templates ]; then
	echo
	echo -e "\\033[1;34m Copia realizada com sucesso !!! \\033[0;39m"
fi	
echo
}

echo
_PATHOK
